#
# Configuration file for HighWire
#
# '#' are remark lines and ignored
#
# Variables are set in the following manner
#
# NORMAL = 184959
#
# Where the first part is the variable name then some (or none) space,
# then an = and then another (optional) space(s) followed by the value
# you want it set to.


### Normal Font ###
#
# This is the font that the normal text will be displayed with.
#
# The value for ALL font variables is the index number.  There are 4
# necessary values for each of the font variables, these are plain,
# italic, bold, bold italic
#
NORMAL             = 5031
ITALIC_NORMAL      = 5032
BOLD_NORMAL        = 5033
BOLD_ITALIC_NORMAL = 5034

### Header Font ###
#
# The font that headers will be displayed with
#
HEADER             = 5031
ITALIC_HEADER      = 5032
BOLD_HEADER        = 5033
BOLD_ITALIC_HEADER = 5034

### Teletype Font ###
#
# Font used for PRE and TT tags
#
TELETYPE             = 5031
ITALIC_TELETYPE      = 5032
BOLD_TELETYPE        = 5033
BOLD_ITALIC_TELETYPE = 5034

### Base Font Size ###
#
# Set the size in points for normal font height (as of <font size=3).
# Usefull values are 10..14
#
FONT_SIZE = 11

# Set the minimum height in points that a font should have at least,
# eg. for <FONT SIZE=1> tags
#
FONT_MINSIZE = 8


### Page Background ###
#
# Set the default background colour for pages that have none defined.  The
# value can either be a decimal number 0..255 to use the VDI colour map,
# a hexadecimal number of the form 0xRRGGBB as a direct colour value or a
# text as used in HTML.  The three examples below mean all the same colour:
#
#DFLT_BACKGND = 8
#DFLT_BACKGND = 0xC0C0C0
#DFLT_BACKGND = silver


### Cache Setup ###
#
# Set the maximum amout in kilo bytes for images cached in memory.  This
# value affects only these images which aren't used anymore (default is 100k).
#
#CACHEMEM = 500  # = 512,000 bytes
#
# To allow HighWire to save visited pages for later revisites define a
# directory for storage.  This might be something like
#
#CACHEDIR = C:\TMP\
#CACHEDIR = D:\HIGHWIRE\CACHE.DIR
#CACHEDIR = U:\ram\           # note that this one might need plenty of ram and
                              # will also prevent from persistant cookie support
#
# Set the maximum usage of disk space for storing cache files and optionally
# the maximum number of files to use.
# If not set here HighWire will use only sparingly 2MB andd 200 files max.
#
#CACHEDSK = 8192       # use 8MB disk space
#CACHEDSK = 4096 300   # use 4MB disk space, but not more than in 300 files


### Connection Control ###
#
# For very slow servers the try of establishing a connection sometimes results
# in a "Connection timeout" message.  This occures only rarely but can solved
# by increasing the timeout value.
#
#TIMEOUT_CONNECT = 3   # seconds, default value
#
# If a server is very busy it might break the connecting process what will
# result in a "Connection reset by peer" message".  In this case an user agent
# should start a retry of connecting.  The default value is one retry.
#
#RETRY_HEADER = 1
#
# A second type of timeout is used to detect if a server 'hangs' after the
# connection is already established.  This will result in a "Header timeout"
# message.  There are two seperate values, the first is for main documents and
# the second for graphics etc.  The second can be left out.
#
#TIMEOUT_HEADER = 5     # only change document timeout
#TIMEOUT_HEADER = 0 2   # only change graphics timeout
#TIMEOUT_HEADER = 5 2   # change both
#
# The general Cookie handling policy can be set either to allow or to disallow
# and can be changed at runtime from the options menu.  The default is to
# disallow cookies.
#
#COOKIES = 1   # allow cookies at startup time
#
# HTTP access can be restricted by
#    RESTRICT_HOST = <flags> <host_domain>
# where <flags> can be one or any combination of
#    C   - denie sending and storing of cookies for <host_domain>
#    I   - dont load images from <host_domain>
# and <host_domain> is either a full qualified host name like 123.abc.com or
# with a starting dot a whole domain like .abc.com.
#
#RESTRICT_HOST = C  .mindshare.de            # no cookies from this doamin
#RESTRICT_HOST = I  adserver2.mindshare.de   # no images from this server
#RESTRICT_HOST = CI .doubleclick.net   # neither images nor cookies allowed
#RESTRICT_HOST = *  .biz               # same as above but for all biz-domains


### Window Infobar ###
#
# Control the appearance window infobars.  The value means:
# 0: no infobar drawn at all,
# 1: only AES infobar (traditional GEM),
# 2: only output to the hslider area,
# 3: both methods,
# 4: application widget infobar, no realtime resizing possible
#    (default setting).
#
#INFOBAR = 3


### Assorted Settings ###

# define default directory for downloading files
# (affects also path for opening local files)
#
#DATA_DIR = C:\tmp\

# suppress all images from any loaded page
#
#NO_IMAGE = 1

# for 8 planes (256 colors) screen mode only:  enable usage of an optimized
# color palette as well as COLORS_CHANGED messaging
#
#FIXED_CMAP = 1

# write debug output to console
#
#LOGGING = 1

# ignore NORESIZE and SCROLLING keywords, make some pages more useable
#
#FORCE_FRAMECTRL = 1

# Setting a Viewer for "view source", e.g. qed, luna or another editor
#
#VIEWER = D:\qed\qed.app


### AV Window ###
#
# Control the behaviour of AVSERVER with windows
# 0: don't use it at all
# 1: use drag and drop by AVSERVER
# 2: use drag&drop and global wincycling
# default is 0
#
# AV_WINDOW = 1
